### CLEAN of Sgr B2N tuning at 191 (GHz) - two EBs in combined

# file name
flnm='Xba1_X28b_Sgr_B2N.ms.LSRK_FluxEqual_concat_191'	# define measurements set
	
					
# line specific entires:
spwid=['0','']
freq=['189.689GHz', '']
mole=['CH3OH', '']			# CH3OH v t=1 1(0,1)-1(1,1) +?
startch=[1159, 0]
nchans=[130, 0]
thrshld=['60', '']			# stop cleaning when residual at this value [mJy]


for i in range(0,1):

	imgnm =	'SgrB2_191_spw'+spwid[i]+'_'+str(startch[i])+'-'+str(startch[i]+nchans[i])+'_'+freq[i]+'_'+mole[i]+'_cube.clean'	# define image name
	os.system('rm -rf '+imgnm+'*')
	tclean(vis=flnm,		# <--- tclean
	imagename=imgnm, 
        spw=spwid[i],                          
	antenna='',		
	field='Sgr_B2N',                      
	specmode='cube',          
	start=startch[i],                       
        nchan=nchans[i],
	gridder='mosaic',		# watch out: heterogeneous array (i.e. incl. 7m) ---> mosaic, 12m only ---> standard
        pblimit=0.05,
	imsize=800,
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper=['0.3arcsec'],          # Mitigates effect of sparse long baselines
	niter=2000000, 
	#cycleniter=20,			# for interactive
	restfreq=freq[i],               
	threshold=thrshld[i]+'mJy',
	interactive=T)
	
	impbcor(imagename=imgnm+'.image', pbimage=imgnm+'.pb', outfile=imgnm+'.pbcorr', mode='divide')		# PB dorrected image
	p=[imgnm+'.pb', imgnm+'.pbcorr']
	s=[os.system('rm -rf '+p[i]+'.fits') for i in range(len(p))]
	q=[exportfits(imagename=p[i], fitsimage=p[i]+'.fits') for i in range(len(p))]



